# NSDate

    extension NSDate: CoreDataNativeType

    extension NSDate: DefaultNSSecureCodable

    extension NSDate: FieldStorableType

    extension NSDate: ImportableAttributeType

    extension NSDate: AllowedOptionalObjectiveCKeyPathValue

    extension NSDate: AllowedObjectiveCAttributeKeyPathValue

    extension NSDate: QueryableAttributeType

### NSDate

- `cs_fromFieldStoredNativeType(_:)`

  #### Declaration

  Swift

      @nonobjc
      @inline(__always)
      public class func cs_fromFieldStoredNativeType(_ value: FieldStoredNativeType) -> Self

### AllowedOptionalObjectiveCKeyPathValue

- `DestinationValueType`

  #### Declaration

  Swift

      public typealias DestinationValueType = NSDate

### AllowedObjectiveCAttributeKeyPathValue

- `ReturnValueType`

  #### Declaration

  Swift

      public typealias ReturnValueType = NSDate

### NSDate

- `QueryableNativeType`

  #### Declaration

  Swift

      public typealias QueryableNativeType = NSDate

- `cs_rawAttributeType`

  #### Declaration

  Swift

      @nonobjc
      public class var cs_rawAttributeType: NSAttributeType { get }

- `cs_fromQueryableNativeType(_:)`

  #### Declaration

  Swift

      @nonobjc
      @inline(__always)
      public class func cs_fromQueryableNativeType(_ value: QueryableNativeType) -> `Self`?

- `cs_toQueryableNativeType()`

  #### Declaration

  Swift

      @nonobjc
      @inline(__always)
      public func cs_toQueryableNativeType() -> QueryableNativeType